Bug 1255735 - Dialog run by nm-connection-editor --create --type=vlan doesn't offer connections (eg bond) as parents
Dialog run by nm-connection-editor --create --type=vlan doesn't offer connect...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: network-manager-applet (Show other bugs)
7.1
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Jirka Klimes
Desktop QE
:
Depends On:
Blocks: 1112674
  Show dependency treegraph
 
Reported: 2015-08-21 08:19 EDT by Radek Vykydal
Modified: 2015-11-19 06:03 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The nm-connection-editor makes it possible to create software devices on top of other software devices.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-19 06:03:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of g-c-c network - connections are missing (78.01 KB, image/png)
2015-08-21 08:19 EDT, Radek Vykydal
no flags Details
screenshot of nm-c-e - connections are available (92.57 KB, image/png)
2015-08-21 08:21 EDT, Radek Vykydal
no flags Details
screenshot of the fixed situation (205.65 KB, image/png)
2015-10-01 11:01 EDT, Matěj Cepl
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2315 normal SHIPPED_LIVE Moderate: NetworkManager security, bug fix, and enhancement update 2015-11-19 05:06:58 EST

  None (edit)
Description Radek Vykydal 2015-08-21 08:19:59 EDT
Created attachment 1065562 [details]
screenshot of g-c-c network - connections are missing

RHEL 7.2 Beta 1.0

When trying to add VLAN connection in gnome-control-center network or Anaconda installer, ie with nm-connection-editor --create --type=vlan, connections are not offered in the list of available parents. Which means it is not possible to create vlan over bond this way.
Comment 1 Radek Vykydal 2015-08-21 08:21:23 EDT
Created attachment 1065563 [details]
screenshot of nm-c-e - connections are available

When adding the connection in nm-connection-editor, connections are available.
Comment 2 Radek Vykydal 2015-08-21 08:25:50 EDT
This issue is blocking Anaconda's bug 1112674.
Also it might be considered as duplicate of bug 1112672.
Comment 4 Jirka Klimes 2015-08-26 08:33:04 EDT
When creating a connection with "--create" (e.g. nm-connection-editor --create --type=vlan), the list of connection was not yet fetched and thus the connections didn't appear in "Parent interface" list. When editing an existing connection, the "Parent interface" is populated.

We need to wait for the connections even when creating a new connection.

A fix is available in upstream branch of network-manager-applet repository:
jk/editor-create-connection-rh1255735
Comment 5 Lubomir Rintel 2015-08-27 03:01:51 EDT
Looks good to me.
Comment 6 Jirka Klimes 2015-08-27 03:39:30 EDT
Committed to upstream nma-1-0:
8d5e165 editor: read all connections even when we create a new connection (rh #1255735)

(Upstream master branch does not have the problem, because it uses new libnm. And nm_client_get_connections() ensures that all connections are returned).
Comment 8 Matěj Cepl 2015-10-01 11:01 EDT
Created attachment 1079185 [details]
screenshot of the fixed situation

Fixed in nm-connection-editor-1.0.6-1.el7.x86_64
Comment 9 errata-xmlrpc 2015-11-19 06:03:15 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2315.html

Note You need to log in before you can comment on or make changes to this bug.